summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPetr Písař <ppisar@redhat.com>2013-05-28 14:13:49 +0200
committerPetr Písař <ppisar@redhat.com>2013-05-28 14:13:49 +0200
commit4d71e0f5acac3b4a2c9c9c93b27e917e91d4fa55 (patch)
treef916c79ce7f1fd9853f0c4fdf381d1e3aebbfb49
parent54702fa764272f53f2c79cefe1e14ef33a9f695c (diff)
downloadperl-Module-Pluggable-4d71e0f5acac3b4a2c9c9c93b27e917e91d4fa55.zip
perl-Module-Pluggable-4d71e0f5acac3b4a2c9c9c93b27e917e91d4fa55.tar.gz
perl-Module-Pluggable-4d71e0f5acac3b4a2c9c9c93b27e917e91d4fa55.tar.xz
4.8 bump
-rw-r--r--.gitignore1
-rw-r--r--perl-Module-Pluggable.spec13
-rw-r--r--sources2
3 files changed, 14 insertions, 2 deletions
diff --git a/.gitignore b/.gitignore
index 556e141..f098636 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,3 +1,4 @@
/Module-Pluggable-3.6.tar.gz
/Module-Pluggable-4.6.tar.gz
/Module-Pluggable-4.7.tar.gz
+/Module-Pluggable-4.8.tar.gz
diff --git a/perl-Module-Pluggable.spec b/perl-Module-Pluggable.spec
index 0fca5d7..cf31f6b 100644
--- a/perl-Module-Pluggable.spec
+++ b/perl-Module-Pluggable.spec
@@ -1,7 +1,7 @@
Name: perl-Module-Pluggable
# Epoch to compete with perl.spec
Epoch: 1
-Version: 4.7
+Version: 4.8
Release: 1%{?dist}
Summary: Automatically give your module the ability to have plugins
License: GPL+ or Artistic
@@ -12,14 +12,19 @@ BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(FindBin)
BuildRequires: perl(Module::Build)
+BuildRequires: perl(strict)
# Run-time:
BuildRequires: perl(base)
BuildRequires: perl(Carp)
+%if 0%(perl -e 'print $] > 5.017')
+BuildRequires: perl(deprecate)
+%endif
BuildRequires: perl(Exporter)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec::Functions) >= 3.00
BuildRequires: perl(if)
+BuildRequires: perl(vars)
# Tests:
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(lib)
@@ -27,6 +32,9 @@ BuildRequires: perl(Test::More) >= 0.62
Requires: perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires: perl(File::Basename)
Requires: perl(File::Spec::Functions) >= 3.00
+%if 0%(perl -e 'print $] > 5.017')
+Requires: perl(deprecate)
+%endif
# Filter under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(File::Spec::Functions\\)$
@@ -58,6 +66,9 @@ perl Build.PL installdirs=vendor
%{_mandir}/man3/*
%changelog
+* Tue May 28 2013 Petr Pisar <ppisar@redhat.com> - 1:4.8-1
+- 4.8 bump
+
* Thu Feb 28 2013 Petr Pisar <ppisar@redhat.com> - 1:4.7-1
- 4.7 bump
diff --git a/sources b/sources
index e89dabd..09cb7b2 100644
--- a/sources
+++ b/sources
@@ -1 +1 @@
-bde569c825bae9fe4a1cf06a7475f741 Module-Pluggable-4.7.tar.gz
+28806a26002ef887db8430f14ba3f5cd Module-Pluggable-4.8.tar.gz